"After the Party" by William Moore

[
	Copyright (C) 2023 William R. Moore
	This work is licensed under the Creative Commons BY-NC-SA 4.0 License. To view a copy of the license, visit https://rezrov.xyz/caranmegil/after-party/.
]

Part 1 - Bibliographical Information

The release number is 1.
Index map with EPS file.
The story headline is "An adventure in finding love in awful places".
The story description is "An adventure game of finding true love and having your heart broken in the process.".
The story creation year is 2023.
Release along with cover art, an introductory booklet, an introductory postcard, a website, an interpreter, a library card, a public solution, a file of "Map" called "Inform Map.eps", and the source text.

Part 2 - Game Set Up


Chapter 1 - General

The block giving rule is not listed in the check giving it to rules.
The block waking up rule is not listed in the check waking up rulebook.
The block sleeping rule is not listed in the check sleeping rulebook.

Chapter 2 - Tables and Figures

Figure of Mr Linendot is the file "mr_linendot.jpg".

Table of Flirting
flirt	response
"Hey there, gorgeous!"	"Barbara does not seem interested."
"Hey, baby! what yo' name is?"	"Barbara seems very interested."
"I've forgotten my name. What's yours so that I can have it?"	"Barbara laughs at your foolish attempts flirting."

Table of Basic Help Commands
command	description
"north"	"Move north"
"south"	"Move south"
"east"	"Move east"
"west"	"Move west"
"northeast"	"Move northeast"
"northwest"	"Move northwest"
"southeast"	"Move southeast"
"southwest"	"Move southwest"
"up"	"Move up"
"down"	"Move down"
"look"	"Looks around at current location"
"save"	"Save state to a file"
"restore"	"Restores a saved state"
"restart"	"Restarts the game"
"verbose"	"Gives full description after each command"
"diagnostic"	"Give description of health"
"brief"	"Give a description upon first entering an area"
"superbrief"	"Never describe an area"
"quit"	"Quit game"
"climb"	"Climbs (up)"
"g"	"Redo last command"
"go (direction)"	"Go towards direction (west/east/north/south/in/out/into)"
"enter"	"In to the place"
"in"	"Go into something"
"out"	"Go out of the place"
"get/take (item)"	"Removes item from current room and places it in your inventory"
"get/take all"	"Takes all takeable objects in room"
"throw (item) at (location)"	"Throws the item at something"
"open (container)"	"Opens the container, whether it is in the room or your inventory"
"open (exit)"	"Opens the exit for travel"
"read (item)"	"Reads what is written on readable item"
"drop (item)"	"Removes item from inventory and places it in current room"
"put (item) in (container)"	"Removes item from inventory and places it in container"
"turn (control) with (item)"	"Attempts to operate the control with the item"
"turn on (item)"	"Turns on the item"
"turn off (item)"	"Turns the item off"
"move (object)"	"Moves a large object that cannot be picked up"
"attack (creature) with (item)"	"Attacks creature with the item"
"examine (object)"	"Examines, or looks, at an object or item or location"
"inventory"	"Shows contents of the inventory"
"eat"	"Eats item (specifically food)"
"shout"	"Shout it out (shout it out loud)"
"close (Door)"	"Closes door"
"tie (item) to (object)"	"Ties item to object"
"pick (item)"	"Take/get item"
"break (item) with (item)"	"Breaks item"
"kill (creature) with (item)"	"Attacks creature with the item"
"drink"	"Drink an item"
"smell"	"Smell an item"
"cut (object/item) with (weapon)"	"Comment: Strange concept, cutting the (object/item). If (object/item)=self then you commit suicide"
"listen (target)"	"Listens to a creature or an item"
"slap (target)"	"Slap the target viciously."
"poke (target)"	"Poke a target."
"credits"	"Display the credits for this game."
"license"	"Displays the license for this game."
"talk to"	"You will talk to someone for once in your life."

Chapter 3 - "The Map"

Bernard City West is a room. It is north of Your Apartment Door. The description is "The western side of Bernard City is calm and serene. Trees are scattered through out to give it a feeling of coolness. There is a series of streets that take you east towards the center of town. To the west is a house that is making a-hippin['] and a-hoppin['] and a-bippin['] and a-boppin['] sounds.".
Bernard City Center is a room. It is east of Bernard City West. The description is "The central side of town is a style of concrete jungle only found in modern Suburbia. There is a series of streets leading to the western side of town. There is a 'main drag' leading north-south. A wide road leads to the eastern side of town.".
Bernard City East is a room. It is east of Bernard City Center. The description is "The eastern side of town is the flush with lush, manicured, and green lawns that surround large, tan houses. If you're not careful, you'll get lost amongst the culs-de-sac. There is a wide road leading west. There is a small road leading southeast to a swirling inter-dimensional portal.".

Section 1 - Party House

Party House is a region.
Party House Entrance is a room. It is in Party House. It is west of Bernard City West. The description is "The house entrance is pretty uneventful. There is a foyer to the south, a living room to the southwest, and a kitchen further southwest. All are connected in an open floor plan. Many plants are placed through out.".
Party House Foyer is a room. It is in Party House. It is south of Party House Entrance and east of the Living Room. The description is "The foyer is a nice little area that has a couple plants. To the north you see the entrance to the house. The living room is to the east and the kitchen is to the south.".
Party House Kitchen is a room. It is in Party House. It is south of the Party House Living Room. The description is "An open floor plan kitchen that has an L-shaped marble counter top and a marble topped island in the middle. The living room is north and the mud room is to the east.[if unvisited] It looks like a real carnival of shame.[end if]".
Party Mud Room is a room. It is in Party House. It is east of Party House Kitchen and north of the Party House Main Floor Bathroom. The description is "A cramped mud room, currently used to store shoes and random sundries. The kitchen is west and a room is south.".
Party House Main Floor Bathroom is a room. It is in Party House. It is south of the Party House Mud Room. The description is "A nearly tidy bathroom containing a sink and a toilet for doing your American duty. [if unvisited]The man on the toilet looks up and shouts monotonously 'Occupied.'. [end if]There is a door to the north.".
Party House Living Room is a room. It is in Party House. It is west of Party House Foyer and southwest of Party House Entrance and below Party House Upstairs Hallway. The description is "The living room has a couch and two chairs with a rug on the floor. There are two towering windows with a fireplace nestled between them on the west side. There is a foyer to the east, a House Entrance to the northeast, a kitchen to the south, and beautiful carpeted stairs lead up and another leading down.".
Party House Den is a room. It is in Party House. It is below Party House Living Room. The description is "Everything is laid out perfectly, however cluttered it appears. There are a set of windows on the southwest side. There is a bathroom to the east and an office to the south. A carpeted staircase leads upstairs.".
Party House Basement Bathroom is a room. It is in Party House. It is east of Party House Den. The description is "A nearly tidy bathroom containing a sink, toilet, and a shower. There is a door to the west.".
Party House Office is a room. It is in Party House. It is south of Party House Den. The description is "Deceivingly small, the Office is where the house owner seems to spend most of their time during the week. It is untidy and contains much nerdery. There is a doorway leading to the den to the north.".
Party House Upstairs Hallway is a room. It is in Party House. The description is "There is a carpeted, L-shaped hallway leads to many rooms. There are rooms to the northwest, northeast, east, south, west, and southwest. A carpeted staircase leads downstairs.".
Party House Master Bedroom is a room. It is in Party House. It is northwest of Party House Upstairs Hallway. The description is "A wide-open bedroom is spacious enough for four people to sleep in. There are three large windows on the west side. There are doors to the north and southeast side of the room.".
Party House Master Bathroom is a room. It is in Party House. It is north of Party House Master Bedroom. The description is "A spacious, area with a marbled tile floor; a shower with a glass door; a bathtub; and two sinks with marble countertops. There are entry ways to the northeast, east, and south.".
Party House Master Closet is a room. It is in Party House. It is northeast of Party House Master Bathroom. The description is "A spacious closet with tons of places to hang and place clothes and other sundries. A person could sleep comfortably here. There is an opening to the southwest.".
Party House Master Bathroom WC is a room. It is in Party House. The printed name is "Party House Master Bathroom Water Closet". It is east of the Party House Master Bathroom. The description is "This is room to do your naughty business with the toilet.".
Party House Children's Bathroom is a room. It is in Party House. It is west of Party House Upstairs Hallway. The description is "A marble-tiled floor that has two sinks on a marble counter top, a shower, and a toilet.".
Party House Laundry Room is a room. It is in Party House. It is southwest of Party House Upstairs Hallway. The description is "It's a small laundry room. It has clothes in it to be processed. There is a washer and dryer.".
Party House Northeast Room is a room. It is in Party House. It is northeast of Party House Upstairs Hallway. The description is "It's a room with a Paw Patrol bed, a dresser, two windows on the east side, and a closet. A door is on the southwest side.".
Party House South Room is a room. It is in Party House. It is south of Party House Upstairs Hallway. The description is "It is a room fit for a little girl. There are two windows on the south side. There is a closet on the east side. A door sits on the north side.".
Party House Spare Room is a room. It is in Party House. Party House Spare Room is east of Party House Upstairs Hallway. The description is "It is a cluttered spare room with two windows on the east side. There is a makeshift desk by the windows. There is a chair sitting in the room with clothes on it.".

Section 2 - Your Apartment

Your Apartment Door is a door. It is north of Your Apartment Living Room. The description is "It is a plain white door that doesn't seem to be too secure what with the missing door chain.".
Your Apartment Living Room is a room. The description is "A tiny but open room with white walls that opens to the kitchen to the west, a hallway to the south, and sliding glass door leading out to a deck.".
Your Apartment Sliding Glass Door is a door. It is east of Your Apartment Living Room. The description is "This sliding glass door has cheap strips of plastic attached above the awning that mostly obscure it. There is a deck visible through the door.".
Your Apartment Deck is a room. It is east of Your Apartment Sliding Glass Door. The description is "A very tiny, aged to meaty greyness, wooden deck overlooking the small grassy part between your building and the next one to the east. You can see your car and others in the near by parking lot.".
Your Apartment Kitchen is room. It is west of Your Apartment Living Room. The description is "The epitome of L-shaped countertops that reveal a cheap-side quality. The overhanging cabinets scream of poverty. All things are off-white due to years of staining.".
Your Apartment Hall is a room. It is south of Your Apartment Living Room. The description is "This wonderous and short hallway (complete with brown shag carpet and white walls) has 2-in-1 laundry set. There is a bathroom to the west, a bedroom to the south, and a second part to the east.".
Your Apartment Second Hall is a room. It is east of Your Apartment Hall. The printed name is "Your Apartment Hall". The description is "Continuing the theme of brown shag carpet and white walls, the hallway opens up to a bathroom to the east, a bedroom to the south, and another bedroom to the north.".
Your Apartment First Bathroom is a room. It is west of Your Apartment Hall. The description is "The tiny bathroom has a wonderful grey cabinet on the floor, a toilet, and a rust stained bathtub for bathing or showering.".
Your_Apartment_Second_Bathroom is a room. It is east of Your Apartment Second Hall. The printed name is "Your Apartment Second Bathroom". The description is "The strangely useful yet tiny bathroom has a wonderful grey cabinet on the floor, a toilet, and a rust stained bathtub only useful for showering.".
Your Apartment Main Bedroom is a room. It is south of Your Apartment Hall. The description is "This untidy room with clothes and Legos strewn about the place is yours. What a pig!".
Your Apartment Spare Bedroom is a room. It is south of Your Apartment Second Hall. The description is "The spare room has assorted boxes that are of no interest to you, but you keep lugging around your life.".
Your Apartment Second Bedroom is a room. It is north of Your Apartment Second Hall. The description is "This bedroom was formerly occupied by your former roomie. It is clean as they were not a pig.".

Section 3 - Resurrection Leawood

Resurrection Leawood is a region.
Resurrection Leawood Narthex Center is a room. It is in Resurrection Leawood. It is southeast of Bernard City East. The description is "You are in a beautiful section of the narthex with some sort of swirling inter-dimensional portal at the northeast entrance.[paragraph break]It curves to the west and east. There is an exit to the north leading into the sanctuary. A swirling inter-dimensional portal stands before you to the northwest.".
Resurrection Leawood Narthex West is a room. It is in Resurrection Leawood. It is west of Resurrection Leawood Narthex Center. The description is "You are in a beautiful section of the narthex.[paragraph break]It curves to the northwest. There are paths leading both northwest and east and one leading northeast into the sanctuary. There are stairs leading up.".
Resurrection Leawood Narthex East is a room. It is in Resurrection Leawood. It is east of Resurrection Leawood Narthex Center. The description is "You are in a beautiful section of the narthex.[paragraph break]It curves to the northeast. There are paths leading both northeast and west and one leading northwest into the sanctuary. There are stairs leading up.".
Resurrection Leawood Narthex Northwest is a room. It is in Resurrection Leawood. It is northwest of Resurrection Leawood Narthex West. The description is "You are in a beautiful section of the narthex.[paragraph break]It curves to the northwest and leads outside the building. There are paths leading east and one leading east into the sanctuary.".
Resurrection Leawood Narthex Northeast is a room. It is in Resurrection Leawood. It is northeast of Resurrection Leawood Narthex East. The description is "You are in a beautiful section of the narthex.[paragraph break]It curves to the northeast and leads outside the building. There are paths leading west and one leading west into the sanctuary.".
Resurrection Leawood Sanctuary Lower Floor Southwest is a room. It is in Resurrection Leawood. The description is "The lower floor, southwest part, of the sanctuary opens up to seating all around.[paragraph break]There are paths leading toward seating to the northwest and to the east.".
Resurrection Leawood Sanctuary Lower Floor Southeast is a room. It is in Resurrection Leawood. The description is "The lower floor, southeast part, of the sanctuary opens up to seating all around.[paragraph break]There are paths leading toward seating to the northeast and to the west.".
Resurrection Leawood Sanctuary Lower Floor East is a room. It is in Resurrection Leawood. The description is "The lower floor, eastern part, of the sanctuary opens up to seating.[paragraph break]There are paths leading to the north and to the south.".
Resurrection Leawood Sanctuary Lower Floor West is a room. It is in Resurrection Leawood. The description is "The lower floor, western part, of the sanctuary opens up to seating.[paragraph break]There are paths leading to the north and to the south.".
Resurrection Leawood Sanctuary Lower Floor Northeast is a room. It is in Resurrection Leawood. The description is "The lower floor, eastern part, of the sanctuary opens up to seating.[paragraph break]There is a path leading southwest.".
Resurrection Leawood Sanctuary Lower Floor Northwest is a room. It is in Resurrection Leawood. The description is "The lower floor, western part, of the sanctuary opens up to seating.[paragraph break]There is a path leading southeast.".
Resurrection Leawood Sanctuary Lower Floor Center Corridor is a room. It is in Resurrection Leawood. It is north of Resurrection Leawood Narthex Center. It is west of Resurrection Leawood Sanctuary Lower Floor Southeast. It is east of Resurrection Leawood Sanctuary Lower Floor Southwest. The description is "The lower floor, center part, of the sanctuary opens up to seating all around.[paragraph break]There are paths leading toward the stage to the north and to the rest of the seating to the east and west. There is an exit to the south.".
Resurrection Leawood Sanctuary Lower Floor East Corridor is a room. It is in Resurrection Leawood. It is northwest of Resurrection Leawood Narthex East. It is northeast of Resurrection Leawood Sanctuary Lower Floor Southeast. It is south of Resurrection Leawood Sanctuary Lower Floor East. The description is "The lower floor, eastern part, of the sanctuary opens up to seating.[paragraph break]There are paths leading toward the stage to the northwest and to the rest of the seating to the southwest and north. There is an exit to the southeast.".
Resurrection Leawood Sanctuary Lower Floor West Corridor is a room. It is in Resurrection Leawood. It is northeast of Resurrection Leawood Narthex West. It is northwest of Resurrection Leawood Sanctuary Lower Floor Southwest. It is south of Resurrection Leawood Sanctuary Lower Floor West. The description is "The lower floor, western part, of the sanctuary opens up to seating.[paragraph break]There are paths leading toward the stage to the northeast and to the rest of the seating to the southeast and north. There is an exit to the southwest.".
Resurrection Leawood Sanctuary Lower Floor Northeast Corridor is a room. It is in Resurrection Leawood. It is southwest of Resurrection Leawood Sanctuary Lower Floor Northeast. It is west of Resurrection Leawood Narthex Northeast. It is north of Resurrection Leawood Sanctuary Lower Floor East. The description is "The lower floor, eastern part, of the sanctuary opens up to seating.[paragraph break]There are paths leading toward the stage to the west and to the rest of the seating to the northeast and west. There is an exit to the east.".
Resurrection Leawood Sanctuary Lower Floor Northwest Corridor is a room. It is in Resurrection Leawood. It is southeast of Resurrection Leawood Sanctuary Lower Floor Northwest. It is east of Resurrection Leawood Narthex Northwest. It is north of Resurrection Leawood Sanctuary Lower Floor West. The description is "The lower floor, western part, of the sanctuary opens up to seating.[paragraph break]There are paths leading toward the stage to the east and to the rest of the seating to the northwest and south. There is an exit to the west.".
Resurrection Leawood Stage is a room. It is east of Resurrection Leawood Sanctuary Lower Floor Northwest Corridor. It is northeast of Resurrection Leawood Sanctuary Lower Floor West Corridor. It is north of Resurrection Leawood Sanctuary Lower Floor Center Corridor. It is northwest of Resurrection Leawood Sanctuary Lower Floor East Corridor. It is in Resurrection Leawood. It is west of Resurrection Leawood Sanctuary Lower Floor Northeast Corridor. The description is "Complete with podium, altar, and space for musicians and a choir in the back, the stage is where the ceremonies take place.[paragraph break]There are paths in all directions.".
Resurrection Leawood Sanctuary Upper Floor West is a room. It is in Resurrection Leawood. It is above Resurrection Leawood Narthex West. The description is "The upper floor, western part, of the sanctuary opens up to seating all around.[paragraph break]There is a path leading toward the rest of the seating to the east.".
Resurrection Leawood Sanctuary Upper Floor East is a room. It is in Resurrection Leawood. It is above Resurrection Leawood Narthex East. It is east of Resurrection Leawood anctuary Upper Floor East. The description is "The upper floor, eastern part, of the sanctuary opens up to seating all around.[paragraph break]There is a path leading toward the rest of the seating to the west.".
Resurrection Leawood Stained Glass Window is a room. It is in Resurrection Leawood. It is north of Stage. The description of Stained Glass Window is "A massive, multi-colored stained glass window featuring loads of Christian symbolism and meaning to the Church of the Resurrection. You feel awe-inspired and nearly want to pray several times as a consequence.".

Section 4 - Work

Work Main Entrance is a door. It is north of Bernard City East. The description is "The luxurious door is made almost entirely of glass and framed with metal, revealing to occupants the outside world and the outside world to the occupants.".
Work Floor 1 is a room. It is north of Work Main Entrance. The printed name is "Work Main Floor". The description is "The front desk is elaborate and on the wall behind it is a script logo that says 'Work'. Two stairwells open on either side of the wall. One has an 'Out of Order' sign that looks as if it's been there for quite some time.".
Work Floor 2 is a room. It is above Work Floor 1. The printed name is "Work Floor for Workers". The description is "This floor is where all the workerbees buzz about doing their thing. This is your domain where you work![if unvisited] People glare at you as they pass you by. Hopefully, you're not late for the day.[end if]".
Work Floor 3 is a room. It is above Work Floor 2. The printed name is "Work Executive Floor". The description is "The elaborate and ornately decorated floor is where the executives do their thing, whatever it is they do, all day. You are politely asked multiple times and with a smile by the exectutive assistant to leave the floor immediately.".

Section 5 - The Miscellaneous Places

Bernard City North Bar & Lounge is a room. The description is "A dank place where one can wet their whistle with some adult style beverages. In the corner area are 2 pool tables.".

Chapter 4 - People and Animals

Section 1 - Party House

PARTY_GROUP_1 is a person. They are in Foyer. The printed name is "A small group of people". Understand "small group" and "people" as PARTY_GROUP_1. The description is "A group of people huddled together looking very cliquey and ignoring all others around them.".
Toileteer is a man. He is on Party House Main Floor Bathroom Toilet. The description is "He is making noisy farting sounds and a smell emanates from him.".
GOLD_COLORED_GOLDFISH is an animal. It is in fish tank. The printed name is "A gold-colored goldfish". Understand "goldfish", "gold-colored goldfish", and "gold-colored" as GOLD_COLORED_GOLDFISH. The description is "The gold-colored, long, and large goldfish looks serene swimming around.".
UGLY_GOLD_COLORED_GOLDFISH is an animal. It is in fish tank. The printed name is "A gold-colored yet ugly goldfish". Understand "goldfish" and "ugly goldfish" as UGLY_GOLD_COLORED_GOLDFISH. The description is "The gold-colored, short, and small goldfish is quite ugly that looks serene swimming around.".
WHITE_AND_SPOTTED_GOLDFISH is an animal. It is in fish tank. The printed name is "A spotted white goldfish". Understand "goldfish" and "spotted white goldfish" as WHITE_AND_SPOTTED_GOLDFISH. The description is "The spotted but white goldfish is very large and swimming around.".
A silver angelfish is an animal. It is in fish tank. The description is "A medium-sized, silver angelfish swimming around and keeping an eye on you.".
A bottom feeder is an animal. It is in fish tank. The description is "The very large, black bottom feeder is munching on detrius on the bottom of the tank.".
Mr Linendot is a man. He is in Party House Den. The description is "He has lines for limbs and dots for joints. His perfectly circular head only has dots for eyes and a line for a mouth.".
Barbara is a woman. She is on Party House Couch. The description is "Barbara is quite honestly the most beautiful woman in the room. In fact, she could be the most beautiful in any room.".
Party Horse is a animal. It is in Party House Kitchen. The description is "This horse loves to party so much that it has glasses on its eyes showing the year 1999. On its back is a pink 'Party Down!' blanket.".

Section 2 - Work

Secretary is a man. He is on Work Entrance Station. The description is "The man who is the secretary for your work is wearing a green, pressed shirt and a sleeveless tweet shirt over it and black ironed pants. It is unapparent what shoes he is wearing because of where he is seated. He seems friendly based on the vapid smile on his face and despite the fact you two are not on friendly terms.".

Chapter 5 - Things

A commode is a kind of enterable supporter. It is fixed in place.
A cleansing stall is a kind of enterable supporter. It is fixed in place.
A plant is a kind of thing.

Ye flask is a thing. It is fixed in place. The printed name is "ye flask". It is in Party House Spare Room. The description is "It is a flask containing some unknown liquid.".
Crabapple Watch is a thing. The player is carrying it.
Crabapple Mobile is a thing. The player is carrying it.
Some six-sided dice is a thing. The player is carrying it. The description is "A handful of regular 16mm dice that are made from different plastic colors each.".
Pool table is a thing. It is fixed in place. The description is "It is rectangular. It has legs. Green felt lines the table and the raised sides. Each corner has a hole in it as does the middle of the long side. Yup. It's a pools table.".

Section 1 - Party House

Paw Patrol Bed is a supporter in Party House Northeast Room. It is fixed in place. It is enterable. The description is "Behold! Paw Patrol is on the roll with this bed and its firm mattress that befits either a young child or an adult.".
Party House Master Bathroom Toilet is a commode in Party House Master Bathroom WC. The printed name is "Toilet". The description is "This white, porcelain seat is where one does their business. It is just inviting you to sit on it.".
Party House Children's Bathroom Toilet is a commode in Party House Children's Bathroom. The printed name is "Toilet". The description is "This white, porcelain seat is where one does their business. It is just inviting you to sit on it.".
Party_House_Children_Bath is a cleansing stall in Party House Children's Bathroom. The printed name is "Bath". The description is "This white, porcelain bathtub and shower combination is inviting you to use it to become clean.".
Party House Basement Bathroom Toilet is a commode in Party House Basement Bathroom. The printed name is "Toilet". The description is "This white, porcelain seat is where one does their business. It is just inviting you to sit on it.".
Party House Basement Bathroom Bath is a cleansing stall in Party House Children's Bathroom. The printed name is "Bath". The description is "This white, porcelain shower is inviting you to use it to become clean.".
Party House Main Floor Bathroom Toilet is a commode in Party House Main Floor Bathroom. The printed name is "Toilet". The description is "This white, porcelain seat is where one does their business. It is just inviting you to sit on it.".
Party House Master Shower is a cleansing stall in Party House Master Bathroom. The printed name is "Shower". The description is "This shower with off-white stone on the floor and walls is inviting you to use it to become clean.".
Party_House_Entrance_Plants is a plant in the Party House Entrance. It is edible. The printed name is "Plants". Understand "plant" as Party_House_Entrance_Plants.  The description is "These are various kinds of plants that are beautifully arranged along the north wall.".
Party_House_Foyer_Plants is a plant in the Party House Foyer. It is edible. The printed name is "Plants". Understand "plant" as Party_House_Foyer_Plants. The description is "These are various kinds of plants that are beautifully arranged in the corner.".
Party_House_Living_Room_Plants is a plant in the Party House Living Room. It is edible. The printed name is "Plants". Understand "plant" as Party_House_Living_Room_Plants. The description is "These are various kinds of plants that are beautifully arranged throughout.".
The fish tank is a container in Party House Den. It is fixed in place. The description is "It is a large, 55-gallon fish tank that looks like it was potentially once clean.".
Party_House_Master_Bed is a supporter in Party House Master Bedroom. It is fixed in place. It is enterable. The printed name is "Master Bed". The description is "Hey, it's a gigantic bed that is comfy.".
Party House Dining Table is a supporter in Party House Foyer. It is fixed in place. It is enterable. The printed name is "Dining Room Table". The description of the Dining Table is "The dining table is a moderate sized brown, wooden table with a bench and 4 chairs around it.".
Party House Left Chair is a supporter in Party House Living Room. It is fixed in place. It is enterable. The printed name is "Left Chair". Understand "left chair" as Party House Left Chair. The description is "The dark blue chair looks uncomfortable.".
Party House Right Chair is a supporter in Party House Living Room. It is fixed in place. It is enterable. The printed name is "Right Chair". Understand "right chair" as Party House Right Chair. The description is "The dark blue chair looks uncomfortable.".
Party House Couch is a supporter in Party House Living Room. It is fixed in place. It is enterable. The printed name is "Couch". Understand "couch" as Party House Couch. The description is "The dark blue couch could comfortably seat three people or one person stretches across it.".
Magne-Tiles is a thing in Party House Den. The description is "The Magne-Tiles are geometric plastic tiles that interlock using magnetism.  How interesting!".
Spruce Moose Model is a supporter in Party House Office. It is enterable. The description is "It is a small model of an airplane that looks like it can carry 200 passengers from New York’s Idlewild Airport to the Belgian Congo in seventeen minutes!".

Section 2 - Your Apartment

Your Apartment First Bathroom Toilet is a commode in Your Apartment First Bathroom. The printed name is "Toilet". The description is "This white, porcelain seat is where one does their business. It is just inviting you to sit on it.".
Your Apartment Second Bathroom Toilet is a commode in Your_Apartment_Second_Bathroom. The printed name is "Toilet". It is fixed in place. It is enterable. The description is "This white, porcelain seat is where one does their business. It is just inviting you to sit on it.".
Your Apartment First Bathroom Shower is a cleansing stall in Your Apartment First Bathroom. The printed name is "Bath". The description is "The stained, off white porcelain shower/tub combination looks like as good a place as any to get clean.".
Your Apartment Second Bathroom Shower is a cleansing stall in Your_Apartment_Second_Bathroom. The printed name is "Shower". The description is "The stained, off white porcelain shower looks like as good a place as any to get clean.".
Your Apartment Stove is a switched off device in Your Apartment Kitchen. The printed name is "Gas stove". Understand "gas stove" and "stove" as Your Apartment Stove. The description is "A bottom of the line gas stove with a porcelain top on the range.".
Crowflex is an enterable container. It is fixed in place. It is in Your Apartment Spare Bedroom. The description is "The Crowflex is the latest and greatest in exercise equipment. It has pulleys, belts, and cables all to put you through painful motions, all in the name of fitness!".
Your Bed is a supporter in Your Apartment Main Bedroom. It is fixed in place. It is enterable. The description is "A bed with a firm mattress that you can easily fit comfortably on.".

Section 3 - Resurrection Leawood

The Baptismal Font is a fixed in place thing. It is in Stage. The description of the Baptismal Font is "An ornate font with a basin full of water.".
Stone Water Feature of Narthex Center is a fixed in place thing. It is in Narthex Center. The description of the Stone Water Feature of Narthex center is "A short hexagonal pillar surrounded by rock with water trickling out from the top.".
Stone Water Feature of Narthex West is a fixed in place thing. It is in Narthex West. The description of the Stone Water Feature of Narthex center is "A short hexagonal pillar surrounded by rock with water trickling out from the top.".
Stone Water Feature of Narthex East is a fixed in place thing. It is in Narthex East. The description of the Stone Water Feature of Narthex center is "A short hexagonal pillar surrounded by rock with water trickling out from the top.".
Altar Table is a fixed in place thing. It is in Stage. The description of Altar Table is "The rough hewn white stone sits upon the stage.".

Section 4 - Work

Work Entrance Station is a thing. It is an enterable supporter. It is fixed in place. It is in Work Floor 1. The description is "This brown faux wood station is the bottom of the line in station complete with phone apparatus used for making and taking phone calls and a computer for doing work.".
Your Work Station is a thing. It is an enterable supporter. It is fixed in place. It is in Work Floor 2. The description is "Your work station is grey metal with a phone for talking to people and a computer for doing work on it. It is boring, bland, and without decoration. All reminiscient of how you feel about your job.".

Chapter 6 - Actions

Understand "license" as license. License is an action applying to nothing.
Carry out license:
	say "Copyright (C) 2023 William R. Moore
	[line break]This work is licensed under the Creative Commons BY-NC-SA 4.0 License. To view a copy of the license, visit https://rezrov.xyz/caranmegil/after-party/.".

Understand "credits" as credits. Credits is an action applying to nothing.
Carry out credits:
	say "I would like to first and foremost thank Nina Nadu, my wife, for being my everything.";
	say "[line break]Next, I would like to thank my kids Olivia and Henry for being the rambuncious lot that you both are and have a special place in my heart!";
	say "[line break]Without your help, this would not be here!".

Understand "help" as helping. Helping is an action applying to nothing.
Carry out helping:
	say "You like help? Here we go![line break]";
	say "[bold type]Basic Commands[roman type]:[line break]";
	repeat through Table of Basic Help Commands:
		say "[bold type][command entry][roman type]: [description entry][line break]".

Instead of examining when the noun is the player:
	say "You look down and notice your greenish skin. You're the coolest looking goblinoid that has ever lived. At least, that's what your mom has always stood by.".

Understand "brush teeth" as teethbrushing. Teethbrushing is an action applying to nothing.
Carry out teethbrushing:
	if location of player is Your Apartment First Bathroom or location of player is Your_Apartment_Second_Bathroom:
		say "You carefully brush all your teeth for two minutes.";
	otherwise:
		say "This is certainly not the time or place to brush your teeth. You should have thought of that before now.".

Understand "lick [something]" as licking. Licking is an action applying to one visible thing.
Carry out licking:
	say "[noun] would rather you not do that.".

After switching on when the noun is Your Apartment Stove:
	say "The blue flame clicks on and enthralls you. However, whatever you do, you must not touch 'Pyretta's blaze'!".

After switching off when the noun is Your Apartment Stove:
	say "The blue flame goes out. Bummer!".

Carry out entering a commode:
	if the noun is Party House Main Floor Bathroom Toilet:
		say "The man screams loudly 'OCCUPIED!'";
	otherwise:
		continue the action.

Understand "use [something]" as using. Using is an action applying to one visible thing.

Instead of using:
	say "You can't do that.".

After entering when the noun is Crowflex:
	say  "As you get onto the Crowflex, a crow coincidentally crows in the distance.".

Instead of using when the noun is Crowflex and the player is in noun:
	say "You move some levers and bars. Pulleys rotate and cables move. After some time, you feel weak and not strong. You feel as if you did it wrong, somehow.".

Instead of using when the noun is a commode and the player is on the noun:
	if the noun is Party House Main Floor Bathroom Toilet:
		say "The man screams loudly 'WHAT THE HELL ARE YOU DOING?' and he starts to sob loudly.[paragraph break]";
	say "You finish your business and flush the toilet.".

Instead of using when the noun is a cleansing stall and the player is on the noun:
	say "You pull out your always present 'Billy Davis Portable Body Cleansing' kit, strip down, and turn on the water to just the right temperature. Once the water is perfect, you perform you abolutions, towel off using a nearby towel, and redress. Refreshing!".

Understand "talk to [something]" as talking. Talking is an action applying to one visible thing.

Every turn:
	If the location of the player is City West and Your Apartment Stove is switched on:
		say "You exit your apartment and ask the begging question of 'Did I leave the stove on?' Unfortunately, you don't have enough time to answer that as a loud explosion occurs, sending your body into several directions.";
		end the story.

Carry out sleeping:
	if the player is on Paw Patrol Bed:
		say "You start to doze off thinking of playful animated puppies and their antics as they save humans.";
	otherwise:
		say "You aren't feeling especially drowsy.".

Instead of entering the Spruce Moose:
	say "You somehow carefully enter the model and fly it from New York's Idlewild Airport to the Belgian Congo in seventeen minutes!";
	end the story.

Instead of examining the Crabapple Mobile:
	say "The Crabapple Mobile has a buncha programs on it that people call 'apps' now. It shows the time as '[the time of day]'.".

Instead of examining the Crabapple Watch:
	say "The Crabapple Watch is the latest in smart technology trends and wristwear. It displays the current time as '[the time of day]'.".

Instead of eating when the noun is a plant:
	say "You eat the plants. What at first seemed like a delicious idea quickly turns south. The plants make you so sick that you violently vomit until you are just way too dehydrated to exist.";
	end the story.

Carry out talking:
	say "[the noun] is not interested in conversing with you.".

Instead of taking when the noun is ye flask:
	say "You cannot get ye flask.".

Instead of talking when the noun is Party Horse:
	say "[the noun] neighs and stomps a hoof in excitement of all party behaviors and actions.".

Understand "flirt [number]" as flirting with options. Flirting with options is an action applying to one number.
Understand "flirt" as flirting. Flirting is an action applying to nothing.

Check flirting with options:
	If the location of Barbara is not the location of the player:
		say "There doesn't appear to be anyone interesting here.";
	Otherwise:
		if the number understood is greater than the number of rows in Table of Flirting or the number understood is less than one:
			say "You mumble something disjointed. Barbara looks confused by what you have just said.";
			Let N be 1;
			say "You can say the following flirts:[paragraph break]";
			repeat through the Table of Flirting:
				say "[N]: [flirt entry][line break]";
				increment N.

Carry out flirting:
	say "You start flirting randomly with people in the room.";
	If the location of Barbara is not the location of the player:
		say "There doesn't appear to be anyone interesting here.";
	Otherwise:
		Let N be 1;
		say "You can say the following flirts:[paragraph break]";
		repeat through the Table of Flirting:
			say "[N]: [flirt entry][line break]";
			increment N.

Carry out flirting with options:
	Let N be the number understood;
	choose row N from Table of Flirting;
	say "[response entry]".

The former location is a room that varies.

First carry out going rule:
    now the former location is the location.

After going in Resurrection Leawood Narthex Center:
	if former location is Bernard City East:
		say "A warm feeling surrounds you as you enter the swirling inter-dimensional portal.";
		continue the action.

Instead of going from a room which is in Resurrection Leawood to Bernard City East:
	If IsEmployed is false:
		say "You don't feel compelled to leave here for some reason.";
	Otherwise:
		say "A warm feeling surrounds you as you enter the swirling inter-dimensional portal.";
		continue the action.

Instead of going from a room which is not in Party House to Party House while Act I Scene 2 is not happening and Act III is not happening:
	say "A bouncer wearing a white sport coat, white pants, and a t-shirt that says 'Bouncerz!' shuffles you out of Party House with a frown. 'You don't have a Party Pass just yet to Party House.'".

After going from a room which is Work Floor 2 to Work Floor 1 while Act I Scene 1 is happening:
	now the time of day is 5:00 pm;
	say "After doing a full work day, you look at your Crabapple Watch and notice the time is [time of day]! Time to head home and get some sleep before the party at Party House!".

Carry out talking when the noun is Mr Linendot:
	say "Mr. Linendot says 'Hey, kids! I'm at this party as the guest of honor! Well, maybe not the guest of honor. I can't compete with that horse upstairs.'".

Instead of going to a room which is Work Floor 1 while IsEmployed is false:
	say "A similar bouncer wearing the same clothes as the one from Party House shuffles you out of your work with a frown. 'You don't work here any more.'";
	if JustUnemployed is true:
		say "This sends you into a downward spiral. You walk into a nearby liquor store and get throughly toasted. Eventually you wander through some inter-dimensional portal.";
		move the player to Resurrection Leawood Narthex Center;
	now JustUnemployed is false.

Understand "pray" as praying. Praying is an action applying to nothing.

Instead of using when the noun is Pool table and the location of the player is not the location of Barbara:
	say "You play pool all through the night and early into the morning until the place closes. You leave the bar feeling better that you aren't with Barbara as that would have been a tumultuous relationship.";
	now the time of day is 3:00 am;
	move the player to Your Apartment Main Bedroom.

Part 3 - The Game

IsEmployed is a truth state that varies. IsEmployed is true.
JustUnemployed is a truth state that varies. JustUnemployed is false.


When play begins:
	Say "[bold type]It's been a wild week at the chartered accountancy company you work for. There were layoffs. There were angry customers. Everything was just so tense. As such, your friends invited you to a party. However, before that happens, you gotta get through Friday![paragraph break][roman type]";
	Now the time of day is 6:00 am.

The player is in Your Apartment Living Room.

Act I Scene 1 is a scene. Act I Scene 1 begins when play begins. Act I Scene 1 ends when the time of day is after 9:00 pm.

After entering Your Bed:
	say "You fall fast asleep and wake up to your alarm going off.";
	if the time of day is before 9:00 pm:
		now the time of day is 9:00 pm;
		say "Oh shoot! You're late to party house! It's the only house that has a party starting every day at 9pm!";
	otherwise:
		now the time of day is 6:00 am.
	
Act I Scene 2 is a scene. Act I Scene 2 begins when Act I Scene 1 ends. Act I Scene 2 ends when JustUnemployed is true.

Carry out flirting with options:
	if the number understood is two and Act I Scene 2 is happening:
		say "[line break]Barbara stands up and says 'Follow me, big boy!' She walks up the stairs. Before you can follow, you feel woozy and pass out. Despite passing out, Barbara finds where you live and you begin what can only be described as a hot and heavy, but whirlwind relationship. Eventually, and you knew this was coming but was too busy enjoying things, she came to you with disastrous news.";
		say "Barbara says 'I'm leaving you. It's been fun, but the spark is gone for me. Sorry.' and she left.";
		say "Despite seeing it coming, you are distraught and head to bed to sleep things off.";
		move the player to Your Apartment Main Bedroom;
		now the time of day is 1:00 pm;
		now IsEmployed is false;
		now JustUnemployed is true;
		say "You wake up to your Crabapple Mobile going bonkers. When answering the mobile, you find out that because you missed a week of work, you're no longer employed as a chartered accountant. This can't be! You got to get to work to clear things up.".

Act II is a scene. Act II begins when Act I Scene 2 ends. Act II ends when the IsEmployed is true.

Carry out praying while the location of the player is in Resurrection Leawood and Act II is happening:
	If the location of the player is Resurrection Leawood Stained Glass Window:
		say "Whether you were compelled to do this or you just took it upon yourself, you decide to pray. You feel better for it regardless of whatever the compulsion is.";
		say "After some time, you decided to leave the stained glass window behind you. Weeks go by and you find another job, this time as a janitor. Despite barely getting by, you're much happier for it. One day, while hanging out in Bernard City North, you see her again: Barbara. You hadn't thought about her in ages. You know that there were other people here at one time. However, all you can see is Barbara in this moment";
		now IsEmployed is true;
		move Barbara to Bernard City North Bar & Lounge;
		move the player to Bernard City North Bar & Lounge;
	Otherwise:
		say "You feel compelled, whether it is by the location or your own decision, to pray. Nothing really happens and this doesn't feel like where you should be doing it anyways.".

Act III is a scene. Act III begins when Act II ends.

Instead of talking Barbara while Act III is happening:
	say "Well, hello there stranger. I see you're still alive and your gobliny self is doing well!";
	say "After much catching up, Barbara decides to leave. It was at this moment you only see the pool table to forget your past anxieties.";
	remove Barbara from play;
	move Pool table to the location of the player.

Instead of talking Mr Linendot while Act III is happening:
	say "Mr. Linendot looks at you and says 'You know, I heard what happened to you. Stuff happens and, honestly, that's all you can do is accept that. One day, you're going to die and what will you have to answer for it? That you had a butte load of anxiety about a job and a lover? No, it'll be how you treated people and how you loved people for who they were. It's all the fun you had. That's really what matters in life. Maybe that's the answer to the riddle of steel: it's not the killing, but the loving. Cheer up, bucko! Now, go out there and be the best you that you can be!'";
	end the story.
